Name:       mmsvc-camera
Summary:    A Camera module for muse server
Version:    0.3.25
Release:    0
Group:      Multimedia/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(muse-server)
BuildRequires:  pkgconfig(mm-camcorder)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(libtbm)
%if "%{gtests}" == "1"
BuildRequires:  pkgconfig(gmock)
%endif
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
A Camera module for muse server and native camera API.


%package devel
Summary:  A Camera module for muse server (Development)
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig(libtbm)


%description devel
Development related files of a Camera module for muse server.


%prep
%setup -q


%build
%if 0%{?sec_build_binary_debug_enable}
export CFLAGS+=" -DTIZEN_DEBUG_ENABLE"
%endif
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . \
%if "%{gtests}" == "1"
	-DENABLE_GTESTS=On\
%else
	-DENABLE_GTESTS=Off\
%endif
	-DCMAKE_INSTALL_PREFIX=%{_prefix}\
	-DFULLVER=%{version}\
	-DMAJORVER=${MAJORVER}\
	-DLIBDIR=%{_libdir}


make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}
%make_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig

%files
%manifest mmsvc-camera.manifest
%license LICENSE.APLv2
%{_libdir}/liblegacy-camera.so
%{_libdir}/libmuse-camera.so
%if "%{gtests}" == "1"
%{_bindir}/gtests-*
%endif

%files devel
%{_includedir}/media/*.h
%{_libdir}/pkgconfig/*.pc
